Bug 117249

Summary: [EFL][GTK] Migrate from WEBKITOUTPUTDIR to WEBKIT_OUTPUTDIR
Product: WebKit Reporter: Raphael Kubo da Costa (:rakuco) <rakuco>
Component: Tools / TestsAssignee: Raphael Kubo da Costa (:rakuco) <rakuco>
Status: RESOLVED FIXED    
Severity: Normal CC: bfulgham, cdumez, commit-queue, dbates, dpranke, glenn, gns, gyuyoung.kim, mrobinson, nick.diego, pnormand, sergio, zan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Raphael Kubo da Costa (:rakuco) 2013-06-05 05:29:53 PDT
We're now supposed to use WEBKIT_OUTPUTDIR instead of WEBKITOUTPUTDIR. For us, this means adapting the code in jhbuild, webkitpy, DumpRenderTree and anywhere else that refers to the latter instead of the former.
Comment 1 Raphael Kubo da Costa (:rakuco) 2013-06-06 06:51:16 PDT
Created attachment 203931 [details]
Patch
Comment 2 Raphael Kubo da Costa (:rakuco) 2013-06-06 06:52:48 PDT
Everything should work fine after this patch, but it may be the case that someone's bot will break after this change if they're using WEBKITOUTPUTDIR.

We will probably need to send a PSA email to webkit-dev about the change as well.
Comment 3 Raphael Kubo da Costa (:rakuco) 2013-06-06 06:53:41 PDT
The websites mentioned in bug 109478 are also relevant here.
Comment 4 Gyuyoung Kim 2013-06-25 17:23:17 PDT
Is there any reason that we can't land this patch now ?
Comment 5 Brent Fulgham 2013-07-01 09:04:27 PDT
Comment on attachment 203931 [details]
Patch

r=me
Comment 6 WebKit Commit Bot 2013-07-01 09:25:59 PDT
Comment on attachment 203931 [details]
Patch

Clearing flags on attachment: 203931

Committed r152226: <http://trac.webkit.org/changeset/152226>
Comment 7 WebKit Commit Bot 2013-07-01 09:26:03 PDT
All reviewed patches have been landed.  Closing bug.